%define version 2.0.6
%define release %mkrel 1

Summary:	View Your Mind is a tool to manage mind maps
Summary(de):	Vym erlaubt es, Gedanken anschaulich und hierarchisch zu strukturieren. 
Name: 		vym
Version: 	%version
Release: 	%release
Source0: 	http://prdownloads.sourceforge.net/vym/%{name}-%{version}.tar.xz
URL: 		http://www.insilmaril.de/vym/
License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides:	vym
Obsoletes:	vym
Requires:	zip
BuildRequires:	%{_lib}qt4-devel
Requires:	task-qt4

%description
VYM (View Your Mind) is a tool to generate and manipulate maps which
show your thoughts. Such maps can help you to improve your creativity
and effectivity. You can use them for time management, to organize
tasks, to get an overview over complex contexts, to sort your ideas etc.

Maps can be drawn by hand on paper or a flip chart and help to structure
your thoughs. While a tree like structure can be drawn by hand or any
drawing software vym offers much more features to work with such maps.

vym is not another drawing software, but a tool to store and modify
information in an intuitive way. For example you can reorder parts of
the map by pressing a key or add various information like a complete
email by a simple mouse click.

%description -l de
Als hierarchische gegliederte Textstrukturen sind Mindmaps generell sehr gut 
im XML-Format speicherbar. VYM unterstützt in der ersten Unterebene freies 
Positionieren der Zweige, außerdem können den einzelnen Objekten Grafiken 
zugeordnet werden. Daher verwendet VYM primär ein eigenes Datenformat (Endung .vym). 
Tatsächlich handelt es sich hierbei um ein ZIP-Archiv, das außer einer XML-Datei 
Bilder und Flags enthält.

Import:

    FreeMind (.mm)
    KDE Lesezeichen
    Verzeichnisbaum (Dateiverzeichnis)
    XML-Datei (spezielles VYM-Format)

Mit Hilfe eines speziellen Konvertierungswerkzeugs ist es auch möglich, Mindmaps 
des kommerziellen Mindmanagers zu importieren.

Export:

    Bitmap-Grafik (gängige Formate)
    OpenOffice Präsentation (ODP)
    XHTML (Webseite) und XML (spezielles VYM-Format)
    LaTeX
    Ascii-Text (TXT)
    KDE Lesezeichen
    Taskjuggler


%prep
%setup -q

/usr/lib/qt4/bin/qmake -o Makefile vym.pro

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name $RPM_BUILD_ROOT/%_bindir $RPM_BUILD_ROOT/%_menudir $RPM_BUILD_ROOT/%{_iconsdir}
tar c scripts styles icons flags lang exports | tar x -C $RPM_BUILD_ROOT/%_datadir/%name
mkdir docs; tar c demos | tar x -C ./docs/
install vym $RPM_BUILD_ROOT/%_bindir/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop
[Desktop Entry]
Categories=Qt;KDE;X-MandrivaLinux-Office-Accessories;
Encoding=UTF-8
Name=Vym
Comment=View Your Mind is a tool to manage mind maps
Comment[de]=Vym erlaubt es, Gedanken anschaulich und hierarchisch zu strukturieren.
Exec=vym
Icon=vym.png
Type=Application
Terminal=false
EOF

install -m 644 icons/%name.png $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc demos docs/*
%_datadir/%name
%_bindir/%name
%{_datadir}/applications/pclinuxos-%name.desktop
%{_iconsdir}/%name.png


%changelog
* Thu Feb 23 2012 Neal <nealbrks0 at gmail dot com> 2.0.6-1pclos2012
- process

* Thu Feb 23 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.0.6-1pclos2012
- 2.0.6
- added german summary, description and comment in desktop file section
- added english comment in dektop file section
- added xz compression
- added %{_lib} makro for 64bit
- renamed spec file to pclos-vym.spec

* Tue Feb 26 2008 Rifter <rifter4444@gmail.com> 1.10.0-1pclos2007
- Updated to 1.10.0

* Fri Oct 19 2007 Texstar <texstar@gmail.com> 1.8.1-2pclos2007
- Automated Rebuild

* Tue Jun 12 2007 Texstar <texstar@gmail.com> 1.8.1-1pclos2007
- import into pclos 2007
